# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXNewPrivate

Function

Creates an Object that contains a pointer to private data.

Syntax
`
#include <dx/dx.h>
`

Private DXNewPrivate(Pointer data, Error (*deleteFunction)(Pointer))

Functional Details

The user is responsible for the private data. If the data Object is larger than the single pointer, you also need to specify `deleteFunction`, which takes an argument of type `Pointer`. If `deleteFunction` is not `NULL`, it will be called when the Private Object is deleted and it will be passed the pointer `data`. In most cases, `data` should be a pointer to global memory.

Private objects are useful for storing arbitrary structures in the cache for later use.

Note: Private Objects cannot be used between different nodes when running in distributed mode.

The Object created can be deleted with DXDelete. See 4.2 , "Memory Management".

Return Value

Returns the Private Object or returns `NULL` and sets an error code.

See Also

`DXAllocate, DXAllocateZero, DXAllocateLocal, DXAllocateLocalZero, DXAllocateLocalOnly, DXAllocateLocalOnlyZero, DXGetPrivateData, DXSetCacheEntry, DXSetCacheEntryV`

12.5 , "Private Class".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]